## org.eclipse.uml2.uml
Interface Vertex

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ConnectionPointReference, FinalState, Pseudostate, State

    public interface Vertex

extends NamedElement

A representation of the model object 'Vertex'. A vertex is an abstraction of a node in a state machine graph. In general, it can be the source or destination of any number of transitions.

The following features are supported:

- `Incoming`
- `Outgoing`
- `Container`

See Also:
  `UMLPackage.getVertex()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`StateMachine` `containingStateMachine()` The operation containingStateMachine() returns the state machine in which this Vertex is defined result = if not container->isEmpty() then -- the container is a region container.containingStateMachine() else if (oclIsKindOf(Pseudostate)) then -- entry or exit point?
`Region` `getContainer()` Returns the value of the 'Container' container reference.
`Transition` `getIncoming(java.lang.String name)` Retrieves the first `Transition` with the specified 'Name' from the 'Incoming' reference list
`Transition` `getIncoming(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `Transition` with the specified 'Name' from the 'Incoming' reference list
`org.eclipse.emf.common.util.EList<Transition>` `getIncomings()` Returns the value of the 'Incoming' reference list.
`Transition` `getOutgoing(java.lang.String name)` Retrieves the first `Transition` with the specified 'Name' from the 'Outgoing' reference list
`Transition` `getOutgoing(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `Transition` with the specified 'Name' from the 'Outgoing' reference list
`org.eclipse.emf.common.util.EList<Transition>` `getOutgoings()` Returns the value of the 'Outgoing' reference list.
`void` `setContainer(Region value)` Sets the value of the '`Container`' container reference

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOutgoings

    org.eclipse.emf.common.util.EList<Transition> getOutgoings()

  Returns the value of the 'Outgoing' reference list. The list contents are of type `Transition`. Specifies the transitions departing from this vertex.

  Returns:
    the value of the 'Outgoing' reference list.
  See Also:
    `UMLPackage.getVertex_Outgoing()`

### getOutgoing

    Transition getOutgoing(java.lang.String name)

  Retrieves the first `Transition` with the specified 'Name' from the 'Outgoing' reference list.

  Parameters:
    `name` - The 'Name' of the `Transition` to retrieve, or `null`.
  Returns:
    The first `Transition` with the specified 'Name', or `null`.
  See Also:
    `getOutgoings()`

### getOutgoing

    Transition getOutgoing(java.lang.String name,
                           boolean ignoreCase,
                           org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `Transition` with the specified 'Name' from the 'Outgoing' reference list.

  Parameters:
    `name` - The 'Name' of the `Transition` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Transition` to retrieve, or `null`.
  Returns:
    The first `Transition` with the specified 'Name', or `null`.
  See Also:
    `getOutgoings()`

### getIncomings

    org.eclipse.emf.common.util.EList<Transition> getIncomings()

  Returns the value of the 'Incoming' reference list. The list contents are of type `Transition`. Specifies the transitions entering this vertex.

  Returns:
    the value of the 'Incoming' reference list.
  See Also:
    `UMLPackage.getVertex_Incoming()`

### getIncoming

    Transition getIncoming(java.lang.String name)

  Retrieves the first `Transition` with the specified 'Name' from the 'Incoming' reference list.

  Parameters:
    `name` - The 'Name' of the `Transition` to retrieve, or `null`.
  Returns:
    The first `Transition` with the specified 'Name', or `null`.
  See Also:
    `getIncomings()`

### getIncoming

    Transition getIncoming(java.lang.String name,
                           boolean ignoreCase,
                           org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `Transition` with the specified 'Name' from the 'Incoming' reference list.

  Parameters:
    `name` - The 'Name' of the `Transition` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Transition` to retrieve, or `null`.
  Returns:
    The first `Transition` with the specified 'Name', or `null`.
  See Also:
    `getIncomings()`

### getContainer

    Region getContainer()

  Returns the value of the 'Container' container reference. It is bidirectional and its opposite is '`Subvertex`'. The region that contains this vertex.

  Returns:
    the value of the 'Container' container reference.
  See Also:
    `setContainer(Region)`, `UMLPackage.getVertex_Container()`, `Region.getSubvertices()`

### setContainer

    void setContainer(Region value)

  Sets the value of the '`Container`' container reference.

  Parameters:
    `value` - the new value of the 'Container' container reference.
  See Also:
    `getContainer()`

### containingStateMachine

    StateMachine containingStateMachine()

  The operation containingStateMachine() returns the state machine in which this Vertex is defined result = if not container->isEmpty() then -- the container is a region container.containingStateMachine() else if (oclIsKindOf(Pseudostate)) then -- entry or exit point? if (kind = #entryPoint) or (kind = #exitPoint) then stateMachine else if (oclIsKindOf(ConnectionPointReference)) then state.containingStateMachine() -- no other valid cases possible endif

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.